<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*,java.io.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar los caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<SCRIPT language=JavaScript>
	function fncSeleccionar (origen, dni,nombre){
	    origen.Nombre.value=nombre;
	    origen.Dni.value=dni;
	    window.close();
	}
	var urlIdioma;		//URL recarga en funcion del idioma
	var rutaCabecera;	//Camino de migas
</SCRIPT>
<head>
		<title>Personal</title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
		
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<FORM NAME="FormRelPersonal" METHOD="POST">
		<%

			int contador = 0;
			String sql = "", sql2 = "";
			String codigo="", telefono="", dpto ="";
			String sMatricula="", dni="", sFDesde="", sFHasta="", nombre="";
		    String cargo="", codcargo="", orden="", dptodesc="", rang="";
			sMatricula=request.getParameter("Matricula");
			String sFecha=request.getParameter("FecDni");
			String sHora=request.getParameter("HorDni")+":00";
			String sFechaHora=sFecha+" "+sHora;
		    
			String origen = "opener.document." + request.getParameter("Origen");
            java.sql.Connection conn=null;
            PreparedStatement pstmt = null;
            ResultSet rs = null;			

		try{
			sql = "select " + m05bConstantes.COL_21_DNI + "," + m05bConstantes.COL_21_NOMBRE +
					"," + m05bConstantes.COL_01_ORDEN +
		    		" from " + m05bConstantes.TAB_PERSONAL + "," + m05bConstantes.TAB_ASIGNACION +
		    		" where " + m05bConstantes.COL_01_MATRICULA + "='" + sMatricula +"'" ;
		    sql +=  " AND " + m05bConstantes.COL_21_DNI + "   = " + m05bConstantes.COL_01_DNI ; 
		    sql +=  " AND " + m05bConstantes.COL_01_FDESDE + " <= TO_DATE('" + sFechaHora + "','dd/mm/yyyy HH24:mi:ss')" ; 
		    sql +=  " AND NVL(" + m05bConstantes.COL_01_FDEVOL+","+m05bConstantes.COL_01_FHASTA+ ") >= TO_DATE('" + sFechaHora + "','dd/mm/yyyy HH24:mi:ss')" ; 
		    
		    //m05bbBeginSelect(sql);
			//m05bRS = m05bPStmt.executeQuery();

		    m05bConexion miConex = new m05bConexion();
            conn = miConex.getConnection();
            conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		    pstmt = conn.prepareStatement(sql);
            rs = pstmt.executeQuery();			
		%>
		<%
			while (rs.next() == true){
				codigo = rs.getString(m05bConstantes.COL_21_DNI);
				nombre= rs.getString(m05bConstantes.COL_21_NOMBRE);
		        orden = rs.getString(m05bConstantes.COL_01_ORDEN);
				++contador;  %>
		
		<%} %>
		<% if (contador==0){%>
			<script>
				alert(dameAlerta(idioma, 129));
			    window.close();
			</script>
		<%} else if (contador==1){%>
				<% if (orden=="D"){ %>
			<script>
				alert(dameAlerta(idioma, 130));
                window.close();
			</script>
				<%}else{%>
				  <% if (codigo==""){ %>
		        	<script>
				      alert(dameAlerta(idioma, 131));
                      window.close();
			        </script>
			      <%}else{%>
			        <script>
                        fncSeleccionar(<%=origen%>,'<%=codigo%>','<%=nombre%>');			        	
			        </script>
			      <%}}%>
	 <%}else if (contador>1){%>
		   	<script>
		     alert(dameAlerta(idioma, 132));
		    window.close();
		    </script>
     <%}%>
</FORM>
<%@include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>
<%
} catch (Exception ex1) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
		miLog.addTraza(ex1);
} finally {
		//m05bEndSelect();
		       if (rs != null)
			   rs.close();
		       if (pstmt != null)
			   pstmt.close();
		       if (conn != null)
			   conn.close();
		
}%>
</BODY>
</HTML>